﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using GeocodingApi;

namespace GenerateKML
{
    class Program
    {
        static void Main(string[] args)
        {
            Generator kmlGenerator = new Generator("Test");

            kmlGenerator.Generate(new AddressDescription("1600 Amphitheatre Parkway, Mountain View, CA 94043",
                "Google"));

            if (!string.IsNullOrEmpty(kmlGenerator.LastErrorOrWarning))
            {
                Console.WriteLine(kmlGenerator.LastErrorOrWarning);
            }

            kmlGenerator.Generate(new AddressDescription("1 Microsoft Way, Redmond, WA 98052",
                "Microsoft"));

            if (!string.IsNullOrEmpty(kmlGenerator.LastErrorOrWarning))
            {
                Console.WriteLine(kmlGenerator.LastErrorOrWarning);
            }

            kmlGenerator.Generate(new AddressDescription("1601 S. California Ave., Palo Alto, CA 95304",
                "Facebook"));

            if (!string.IsNullOrEmpty(kmlGenerator.LastErrorOrWarning))
            {
                Console.WriteLine(kmlGenerator.LastErrorOrWarning);
            }

            kmlGenerator.Generate(new AddressDescription("701 First Ave, Sunnyvale, CA 94089",
                "Yahoo"));

            if (!string.IsNullOrEmpty(kmlGenerator.LastErrorOrWarning))
            {
                Console.WriteLine(kmlGenerator.LastErrorOrWarning);
            }

            kmlGenerator.Save("test.kml");
        }
    }
}
